Bug 1691336 - Remove outdated OSPP 4.0 profile and keep only OSPP 4.2 profile
Summary: Remove outdated OSPP 4.0 profile and keep only OSPP 4.2 profile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide
Version: 7.7
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: rc
: ---
Assignee: Watson Yuuma Sato
QA Contact: Matus Marhefka
Mirek Jahoda
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-21 12:47 UTC by Jan Černý
Modified: 2020-03-31 19:38 UTC (History)
6 users (show)

Fixed In Version: scap-security-guide-0.1.46-1.el7
Doc Type: Enhancement
Doc Text:
.`SCAP Security Guide` now provides OSPP 4.2.1 and NCP Profiles The OSPP (Protection Profile for General Purpose Operating Systems) profile has been updated, and it now conforms to OSPP 4.2.1 baseline. The profile with the `ospp42` ID has been merged to the OSPP profile. Administrators should switch systems using the `ospp42` profile to `ospp` because `ospp42` is no longer a valid ID. Additionally, the NCP (NIST National Checklist Program Security Guide) profile with the `ncp` ID has been introduced. The NCP profile conforms to the OSPP 4.2.1 and implements configuration requirements of additional policies. In particular CNSSI 1253, NIST 800-171, NIST 800-53, USGCB, and OS SRG.
Clone Of:
Environment:
Last Closed: 2020-03-31 19:38:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1019 None None None 2020-03-31 19:38:35 UTC

Description Jan Černý 2019-03-21 12:47:10 UTC
Description of problem:
We ship both OSPP 4.0 profile (ID ospp) and OSPP 4.2 profile (ID ospp42).

OSPP 4.0 is now outdated and OSPP 4.2 is the only approved profile in public sector now.

OSPP 4.0 profile should be removed and replaced by OSPP 4.2, using ID ospp.

Version-Release number of selected component (if applicable):
scap-security-guide-0.1.43-1.el7


How reproducible:
always

Steps to Reproduce:
1. oscap info /usr/share/xml/scap/ssg/content/ssg-rhel7-ds.xml
2.
3.

Actual results:
both profile IDs ospp42 and ospp are there


Expected results:
profile id=ospp is there, the content of profile with id=ospp is aligned to OSPP 4.2, profile id=ospp42 isn't there


Additional info:

Comment 4 Marek Haicman 2019-09-02 13:45:39 UTC
Change has been done in upstream: https://github.com/ComplianceAsCode/content/pull/4705

Comment 6 Matus Marhefka 2019-09-23 15:28:31 UTC
Verified manually for scap-security-guide-0.1.46-1.el7.noarch

Profile ID ospp42 has been renamed to ospp (Protection Profile for General Purpose Operating Systems v4.2.1) and the original profile ID ospp has been renamed to the profile ID ncp (NIST National Checklist Program Security Guide).

Comment 11 errata-xmlrpc 2020-03-31 19:38:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1019


Note You need to log in before you can comment on or make changes to this bug.